" ----------------------------------------------------------------------------
" Vim color file
" Maintainer:   John-Paul Bader <contact@smyck.org>
" Modifier:     Daniel Siepmann <coding@daniel-siepmann.de>
" Last Change:  2021 May
" License:      Beer Ware
" ----------------------------------------------------------------------------

" Reset Highlighting
hi clear
if exists("syntax_on")
  syntax reset
endif

set background=dark
set linespace=3

let g:colors_name = "smyckblue"

" ----------------------------------------------------------------------------
" Vim scheme
" ----------------------------------------------------------------------------
hi ColorColumn          cterm=bold ctermbg=1        ctermfg=15
hi ColumnMargin         cterm=none ctermbg=0                        gui=none        guibg=#000000
hi ColumnMargin         cterm=none ctermbg=none     ctermfg=none
hi CursorColumn         cterm=none ctermbg=238      ctermfg=none    gui=none        guibg=#424242
hi CursorLine           cterm=none ctermbg=235      ctermfg=none
hi CursorLineNr         cterm=none ctermbg=235      ctermfg=gray
hi Directory            cterm=none ctermbg=none     ctermfg=4       gui=none        guibg=#242424   guifg=#88CCE7
hi Error                cterm=none ctermbg=1        ctermfg=15      gui=none                        guifg=#F7F7F7
hi ErrorMsg             cterm=none ctermbg=1        ctermfg=15      gui=none                        guifg=#F7F7F7
hi FoldColumn           cterm=none ctermbg=none     ctermfg=150     gui=none        guibg=#3B3B3B   guifg=#90AB41
hi Folded               cterm=none ctermbg=236      ctermfg=150     gui=none        guibg=#3B3B3B   guifg=#90AB41
hi IncSearch            cterm=none ctermbg=3        ctermfg=8       gui=none        guibg=#F6DC69   guifg=#8F8F8F
hi LineNr               cterm=none ctermbg=none     ctermfg=8       gui=none        guibg=#282828   guifg=#8F8F8F
hi MatchParen           cterm=none ctermbg=14       ctermfg=0       gui=none        guibg=#2EB5C1   guifg=#F7F7F7
hi ModeMsg              cterm=bold ctermbg=none     ctermfg=10      gui=none
hi NonText              cterm=bold ctermbg=none     ctermfg=8       gui=bold                        guifg=#8F8F8F
hi Normal               cterm=none ctermbg=none     ctermfg=15      gui=none        guibg=#282828   guifg=#F7F7F7
hi Pmenu                cterm=none ctermbg=238      ctermfg=15      gui=none        guibg=#8F8F8F   guifg=#F7F7F7
hi PmenuSbar            cterm=none ctermfg=238      ctermfg=8       gui=none        guibg=#F7F7F7   guifg=#8F8F8F
hi PmenuSel             cterm=none ctermbg=236      ctermfg=blue    gui=none        guibg=#F7F7F7   guifg=#8F8F8F
hi Search               cterm=none ctermbg=14       ctermfg=0       gui=none        guibg=#2EB5C1   guifg=#F7F7F7
hi SignColumn           cterm=none ctermbg=none     ctermfg=none
hi SpecialKey           cterm=none ctermbg=none     ctermfg=8       gui=none                        guifg=#8F8F8F
hi StatusLine           cterm=none ctermbg=238      ctermfg=15      gui=none        guibg=#5D5D5D   guifg=#FBFBFB
hi StatusLineNC         cterm=bold ctermbg=234      ctermfg=8       gui=none        guibg=#5D5D5D   guifg=#FBFBFB
hi TabLine              cterm=none ctermbg=none     ctermfg=242
hi TabLineFill          cterm=none ctermbg=none     ctermfg=237
hi TabLineSel           cterm=none ctermbg=none     ctermfg=blue
hi Title                cterm=none ctermbg=none     ctermfg=4       gui=none                        guifg=#88CCE7
hi VertSplit            cterm=none ctermbg=none     ctermfg=blue
hi Visual               cterm=none ctermbg=15       ctermfg=8       gui=none        guibg=#F7F7F7   guifg=#8F8F8F
hi WildMenu             cterm=none ctermbg=none     ctermfg=blue

" ----------------------------------------------------------------------------
" Syntax Highlighting
" ----------------------------------------------------------------------------
hi Comment        cterm=none ctermbg=none ctermfg=242       gui=none        guifg=#8F8F8F
hi Constant       cterm=none ctermbg=none ctermfg=12        gui=none        guifg=#96D9F1
hi Delimiter      cterm=none ctermbg=none ctermfg=15        gui=none        guifg=#F7F7F7
hi Identifier     cterm=none ctermbg=none ctermfg=12        gui=none        guifg=#96D9F1
hi Ignore         cterm=none ctermbg=none ctermfg=8         gui=none        guifg=bg
hi Interpolation  cterm=none ctermbg=none ctermfg=6         gui=none        guifg=#2EB5C1
hi Keyword        cterm=none ctermbg=none ctermfg=10        gui=none        guifg=#D1FA71
hi Method         cterm=none ctermbg=none ctermfg=15        gui=none        guifg=#F7F7F7
hi PreProc        cterm=none ctermbg=none ctermfg=10        gui=none        guifg=#D1FA71
hi Special        cterm=none ctermbg=none ctermfg=6         gui=none        guifg=#d7d7d7
hi Statement      cterm=none ctermbg=none ctermfg=10        gui=none        guifg=#D1FA71
hi String         cterm=none ctermbg=none ctermfg=249       gui=none        guifg=#F6DC69
hi Structure      cterm=none ctermbg=none ctermfg=12        gui=none        guifg=#9DEEF2
hi Symbol         cterm=none ctermbg=none ctermfg=9         gui=none        guifg=#FAB1AB
hi Type           cterm=none ctermbg=none ctermfg=12        gui=none        guifg=#96D9F1
hi Underlined     cterm=none ctermbg=none ctermfg=magenta   gui=underline   guibg=#272727
hi link Number String

hi Error          cterm=none ctermbg=none ctermfg=red
hi Todo           cterm=none ctermbg=none ctermfg=yellow

" Treesitter
hi @namespace cterm=none ctermbg=none ctermfg=white
hi @type cterm=none ctermbg=none ctermfg=blue
hi @type.qualifier cterm=none ctermbg=none ctermfg=blue
hi @type.builtin cterm=none ctermbg=none ctermfg=blue
hi @constant cterm=none ctermbg=none ctermfg=blue
hi @constant.builtin cterm=none ctermbg=none ctermfg=blue
hi @constructor cterm=none ctermbg=none ctermfg=white
hi @variable cterm=none ctermbg=none ctermfg=blue
hi @variable.builtin cterm=none ctermbg=none ctermfg=blue
hi @property cterm=none ctermbg=none ctermfg=blue
hi @method cterm=none ctermbg=none ctermfg=white
hi @method.call cterm=none ctermbg=none ctermfg=white
hi link @function.call @method.call
hi link @function.builtin @function.call
hi @attribute cterm=none ctermbg=none ctermfg=blue
hi link @text @string
hi link @punctuation @operator

" HTML Treesitter
hi @tag.html cterm=none ctermbg=none ctermfg=green
hi @tag.delimiter.html cterm=none ctermbg=none ctermfg=blue
hi @tag.attribute.html cterm=none ctermbg=none ctermfg=blue
hi link htmlTag @tag.html
hi link htmlEndTag @tag.html
hi link htmlTagN @tag.html
hi link @text.uri.html @string
hi link @text.title.html @string
hi link @text.title.1.html @string
hi link @text.title.2.html @string
hi link @text.title.3.html @string
hi link @text.title.4.html @string
hi link @text.title.5.html @string
hi link @text.title.6.html @string
hi @operator.html cterm=none ctermbg=none ctermfg=blue

" reStructuredText Treesitter
hi @markup.list.rst cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.rst cterm=none ctermbg=none ctermfg=blue

" markdown Treesitter
hi @markup.list.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.1.marker.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.2.marker.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.3.marker.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.4.marker.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.5.marker.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.6.marker.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.1.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.2.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.3.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.4.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.5.markdown cterm=none ctermbg=none ctermfg=blue
hi @markup.heading.6.markdown cterm=none ctermbg=none ctermfg=blue

" SQL Treesitter
hi link @keyword.operator.sql @type.builtin
hi link @keyword.sql @type.builtin

" PHPDoc Treesitter (Keep everything as comment)
hi link @type.phpdoc @comment
hi link @attribute.phpdoc @comment
hi link @parameter.phpdoc @comment
hi link @variable.phpdoc @comment
hi link @keyword.phpdoc @comment
hi link @text.phpdoc @comment
hi link @text.uri.phpdoc @comment

" JSON Treesitter
hi link @label.json @string

" Diff
hi DiffAdd              cterm=bold ctermbg=2        ctermfg=15
hi DiffChange           cterm=bold ctermbg=4        ctermfg=15
hi DiffDelete           cterm=bold ctermbg=1        ctermfg=15
hi DiffText             cterm=bold ctermbg=3        ctermfg=8
hi link diffFile diffSubname
hi link diffNewFile diffSubname
hi link diffOldFile diffSubname

" Spell
hi SpellBad             cterm=none ctermbg=1        ctermfg=15      gui=none                        guifg=#F7F7F7
hi SpellCap             cterm=none ctermbg=4        ctermfg=15      gui=none                        guifg=#F7F7F7
hi SpellLocal           cterm=none ctermbg=4        ctermfg=15      gui=none                        guifg=#F7F7F7
hi SpellRare            cterm=none ctermbg=4        ctermfg=15      gui=none                        guifg=#F7F7F7

" Treesitter mapping
hi link TSVariableBuiltin Identifier
hi link TSConstructor Method
hi link TSField TSVariable
" "unset / clear" properties to not have highlighting
hi link TSType unkown
hi link TSParameter unkown
hi link TSProperty unkown
hi link TSNamespace unkown
hi link TSMethod unkown
hi link TSFunction unkown
hi link TSConstant unkown

" Erlang
hi link erlangAtom            Keyword
hi link erlangBitType         Keyword

" Ruby
hi link rubyBeginend          Keyword
hi link rubyClass             Keyword
hi link rubyClassVariable     Method
hi link rubyClassVariable     Symbol
hi link rubyConditional       Keyword
hi link rubyConstant          Constant
hi link rubyControl           Keyword
hi link rubyFunction          Constant
hi link rubyGlobalVariable    Constant
hi link rubyIdentifier        Keyword
hi link rubyInstanceVariable  Constant
hi link rubyInterpolation     Interpolation
hi link rubyInterpolationDelimiter    Interpolation
hi link rubyKeyword           Keyword
hi link rubyModule            Keyword
hi link rubyOperator          Method
hi link rubyRailsMethod       Method
hi link rubySymbol            Symbol

" PHP
hi link phpParent phpRegion
hi link phpMemberSelector Statement
hi link phpSpecialFunction phpOperator
hi link phpDocTags phpComment

" Syntastic
hi SyntasticWarning     ctermbg=11 ctermfg=0

" vdebug
hi DbgCurrentLine ctermfg=Black ctermbg=Yellow
hi DbgCurrentSign ctermfg=Black ctermbg=Yellow

" ale
hi ALEVirtualTextError        ctermfg=Red       ctermbg=none
hi ALEVirtualTextWarning      ctermfg=Yellow    ctermbg=none
hi ALEVirtualTextInfo         ctermfg=Blue      ctermbg=none
hi ALEVirtualTextStyleError   ctermfg=Yellow    ctermbg=none
hi ALEVirtualTextStyleWarning ctermfg=Yellow    ctermbg=none

hi DbgCurrentLine ctermfg=Black ctermbg=Yellow
hi DbgCurrentSign ctermfg=Black ctermbg=Yellow

" Git (rebase)
hi gitrebaseEdit ctermfg=Yellow ctermbg=none
hi link gitrebaseSquash gitrebaseEdit
hi link gitrebaseReword gitrebaseEdit
hi link gitrebaseFixup gitrebaseEdit
hi link gitrebaseBreak gitrebaseEdit
hi gitrebaseDrop ctermfg=Red ctermbg=none

" Lua
hi link luaTSFunction Identifier
hi link luaTSMethod Identifier
hi link luaTSFuncBuiltin Identifier

" reStructuredText
hi link rstTSPunctSpecial rstExplicitMarkup
hi link rstTSFunction rstExDirective
hi link rstTSFuncBuiltin rstDirective

" markdown
hi link markdownTSPunctSpecial rstExplicitMarkup

" yaml
hi link yamlTSField Identifier

" Ultest plugin
hi UltestPass ctermfg=Green guifg=#96F291
hi UltestFail ctermfg=Red guifg=#F70067
hi UltestRunning ctermfg=Yellow guifg=#FFEC63
hi UltestBorder ctermfg=Red guifg=#F70067
hi UltestSummaryInfo guifg=#00F1F5
hi link UltestSummaryFile UltestSummaryInfo
hi link UltestSummaryNamespace UltestSummaryInfo

